#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           cantor
Summary:        KDE Interface for doing Mathematics and Scientific Computing
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Sciences/Mathematics
License:        GPLv2
URL:            https://kde.org/applications/education/org.kde.cantor
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%version.tar.xz

# Branch patches 100->200
# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  analitza-devel >= %{version}

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5WebEngine)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Pty)

BuildRequires:  pkgconfig(libR)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(cln)
BuildRequires:  pkgconfig(poppler-qt5)

Recommends:     cantor-handbook
# The only example downloadable through the GUI uses the octave engine
Recommends:     octave


%description
Cantor is a KDE Application aimed to provide a nice interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files -f %name.lang
%_kf5_bindir/cantor
%_kf5_bindir/cantor_rserver
%_kf5_bindir/cantor_pythonserver
%_kf5_bindir/cantor_scripteditor
%_kf5_libdir/libcantor_config.so
%_kf5_libdir/cantor_pythonbackend.so
%_kf5_datadir/cantor/
%_kf5_datadir/config.kcfg/cantor.kcfg
%_kf5_datadir/config.kcfg/cantor_libs.kcfg
%_kf5_datadir/config.kcfg/kalgebrabackend.kcfg
%_kf5_datadir/config.kcfg/luabackend.kcfg
%_kf5_datadir/config.kcfg/maximabackend.kcfg
%_kf5_datadir/config.kcfg/pythonbackend.kcfg
%_kf5_datadir/config.kcfg/qalculatebackend.kcfg
%_kf5_datadir/config.kcfg/rserver.kcfg
%_kf5_datadir/config.kcfg/sagebackend.kcfg
%_kf5_datadir/config.kcfg/scilabbackend.kcfg
%dir %_qt5_plugindir/cantor
%_qt5_plugindir/cantor/assistants
%_qt5_plugindir/cantor/backends
%_qt5_plugindir/cantor/panels
%_kf5_plugindir/parts/cantorpart.so
%_kf5_iconsdir/*/*/*/*.png
%_kf5_datadir/knsrcfiles/*.knsrc
%_kf5_datadir/mime/packages/cantor.xml
%_kf5_metainfodir/org.kde.cantor.appdata.xml
%_kf5_applicationsdir/org.kde.cantor.desktop
%_kf5_kxmlguidir/cantor
%_kf5_datadir/config.kcfg/octavebackend.kcfg.in

#------------------------------------------------------------------------------

%package        handbook
Summary:        Cantor Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Cantor handbook.

%files handbook
%doc README.md
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/*/cantor

#------------------------------------------------------------------------------

%define cantorlibs_major 28
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}

%package -n     %libcantorlibs
Summary:        Runtime library for cantor
Group:          System/Libraries

%description -n %libcantorlibs
Runtime library for cantor.

%files -n %libcantorlibs
%_kf5_libdir/libcantorlibs.so.%{cantorlibs_major}{,.*}
%_kf5_libdir/libcantorlibs.so.%{version}

#------------------------------------------------------------------------------

%define cantor_devel %mklibname %{name} -d

%package -n %{cantor_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libcantorlibs = %version-%release
Provides:       %{name}-devel = %version-%release
Obsoletes:      cantor-devel < 19.04.3-2

%description -n %{cantor_devel}
Files needed to build applications based on %{name}.

%files -n %{cantor_devel}
%_kf5_libdir/libcantorlibs.so
%_kf5_libdir/cmake/Cantor/
%_includedir/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# PYTHONLIBS_FOUND is used to find Python 2.7
# PYTHONLIBS3_FOUND is used to find Python 3.x
%cmake_kf5 -DPYTHONLIBS_FOUND:BOOL=OFF
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958102
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946414
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941704
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922828
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911319
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905175
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886697
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880675
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1872992
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853886
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849392
- New version 22.03.90

* Thu Feb 17 2022 tv <tv> 21.12.0-2.mga9
+ Revision: 1778407
- Rebuild for python-3.10

* Sun Jan 02 2022 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1766104
- New version 21.12.0
- New version 21.11.90

* Sun Aug 08 2021 luigiwalser <luigiwalser> 21.04.1-2.mga9
+ Revision: 1740546
- rebuild for libqalculate

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1723979
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1719127
- New version 21.04.0

* Sat Mar 20 2021 daviddavid <daviddavid> 20.12.3-3.mga9
+ Revision: 1705920
- rebuild for python 3.9

* Fri Mar 05 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1699080
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694011
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656941
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643919
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633724
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626977
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616393
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604041
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596772
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584424
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569249
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559245
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540629
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513215
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468032
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457819
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447328
- New version 19.08.1

* Mon Sep 09 2019 wally <wally> 19.04.3-4.mga8
+ Revision: 1439020
- rebuild for python3.8

* Sun Sep 01 2019 daviddavid <daviddavid> 19.04.3-3.mga8
+ Revision: 1436109
- port to Python 3

* Wed Jul 31 2019 daviddavid <daviddavid> 19.04.3-2.mga8
+ Revision: 1426289
- fix devel pkg name

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424909
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390368
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389012
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-4.mga7
+ Revision: 1381400
- Qt5 Rebuild

* Fri Mar 29 2019 wally <wally> 18.12.3-3.mga7
+ Revision: 1381013
- rebuild for new libqalculate 3.0.0

* Thu Mar 14 2019 daviddavid <daviddavid> 18.12.3-2.mga7
+ Revision: 1377112
- enable Discount/Markdown support

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375444
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365487
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356422
- New version 18.12.1

* Tue Jan 08 2019 daviddavid <daviddavid> 18.12.0-2.mga7
+ Revision: 1352700
- rebuild for new Python 3.7

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343810
- New version 18.12.0

* Sun Nov 25 2018 zezinho <zezinho> 18.08.3-2.mga7
+ Revision: 1334015
- recommends octave as it is needed for the only example given by the gui
+ neoclust <neoclust>
- New version 18.08.3

* Sat Nov 17 2018 wally <wally> 18.08.2-1.mga7
+ Revision: 1330432
- rebuild for new libqalculate 2.8.1
+ neoclust <neoclust>
- New version 18.08.2

* Sat Sep 22 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1295983
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240705
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201817
- New version 17.12.2

* Fri Feb 02 2018 daviddavid <daviddavid> 17.12.1-2.mga7
+ Revision: 1198561
- rebuild for new libqalculate 2.2.1

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194841
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186378
- New version 17.12.0

* Sun Oct 15 2017 cjw <cjw> 17.08.0-2.mga7
+ Revision: 1172105
- add buildrequires: pkgconfig(cln)

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142959
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136674
- New version 17.07.90

* Sat Aug 05 2017 daviddavid <daviddavid> 17.04.3-2.mga7
+ Revision: 1135070
- rebuild for new Python 3.6

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130858
- New version 17.04.3

* Thu Jun 01 2017 wally <wally> 16.12.3-2.mga6
+ Revision: 1105702
- rebuild for new libqalculate

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089997
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076732
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071948
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067265
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061324
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050591
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048207
- New version 16.08.0

* Sun Aug 07 2016 daviddavid <daviddavid> 16.04.3-2.mga6
+ Revision: 1044884
- rebuild for new libqalculate 0.9.9

* Sun Jul 10 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040436
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012476
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004266
- New version 16.04.0

* Tue Mar 29 2016 umeabot <umeabot> 16.03.80-2.mga6
+ Revision: 996102
- Mageia 6 Mass Rebuild
+ neoclust <neoclust>
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991119
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987383
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922557
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911895
- New version 15.12.0

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906524
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
- Plasma Mass Rebuild - Rebuild for new Plasma
- New version 15.07.90
- New version 15.07.80

* Wed Jul 22 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 856060
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800537
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787619
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 746901
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734485
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 4.14.0-4.mga5
+ Revision: 726021
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 4.14.0-3.mga5
+ Revision: 693576
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 678308
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667423
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662934
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656612
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653798
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652085
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add luabackend

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636672
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625439
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615512
- Update to KDE SC 4.13.0

* Mon Mar 31 2014 filipesaraiva <filipesaraiva> 4.12.97-2.mga5
+ Revision: 610975
- Build Python backend

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609332
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606773
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3
  + drop patch500 cantor-rpath, fixed upstream

* Thu Mar 13 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603272
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600611
- New version 4.12.80
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 591699
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580771
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554932
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551186
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540107
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490733
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476826
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465177
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458846
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455237
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447935
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435298
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428403
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407221
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401833
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394392
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 347393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339470
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334553
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326755
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320312
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316192
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301963
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289764
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277087
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269646
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266122
- New version 4.8.95 and some fixes.

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257248
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228358
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221459
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199126
- Add pkgconfig(libqalculate) as BuildRequires
- Fix files list
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191101
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186375
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181866
- Update tarball to KDE SC 4.7.90
- Fix files list
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176348
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161074
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151927
- Update tarball to KDE SC 4.7.2
- clean spec

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140620
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove kdelibs4-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use pkconfig() for buildRequires

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122351
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115398
- add conflicts on older package
+ mikala <mikala>
- imported package cantor

